Page MenuHomePhabricator

mono: encapsulate internal iwrapper members
ClosedPublic

Authored by lauromoura on Oct 10 2019, 4:35 AM.

Diff Detail

Repository
rEFL core/efl
Branch
D10339
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 14231
Build 9810: arc lint + arc unit
YOhoho created this revision.Oct 10 2019, 4:35 AM
YOhoho requested review of this revision.Oct 10 2019, 4:35 AM
lauromoura commandeered this revision.Oct 28 2019, 3:56 PM
lauromoura edited reviewers, added: YOhoho; removed: lauromoura.

Comandeering to rebase. After it, tests are good.

lauromoura updated this revision to Diff 26451.Oct 28 2019, 3:57 PM

Update after rebase

YOhoho updated this revision to Diff 26467.Oct 28 2019, 9:38 PM
YOhoho edited the summary of this revision. (Show Details)
YOhoho removed a reviewer: YOhoho.

more internals.
static IntPtr Super(IntPtr obj, IntPtr klass)
static IntPtr GetClass(IntPtr obj)
static bool CallEventCallback(IntPtr obj, IntPtr desc, IntPtr event_info)

YOhoho accepted this revision.Oct 29 2019, 7:19 AM
This revision is now accepted and ready to land.Oct 29 2019, 7:19 AM
This revision was automatically updated to reflect the committed changes.